Dump

Get a snapshot of the current offer profile's configuration including all of its incentives and the criteria for them to get applied in the form of conditions

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Body Definitions

NameTypeDescriptionExample
public_idstringOffer Profile's unique ID83dc2b6a519111ef869ed637592b5542
namestringOffer Profile's nameLive Offer Profile
weightintegerOffer Profile's weight100
livebooleanFlag that indicates whether the Offer Profile is live/active or not/inactivetrue
initial_couponobjectInitial Coupon objectCoupon object
recurring_couponobjectRecurring Coupon objectCoupon object
offersarrayList of Offer objects associated with the Offer ProfileList of Offer objects
premisesarrayList of Premise objects associated to at least one Offer Profile's coupon's (initial or recurring) conditionList of Premise objects

Response Body Definitions (Coupon)

NameTypeDescriptionExample
public_idstringCoupon's unique ID14e4a6f57a95481fa78e6a05cae53ea3
namestringCoupon's nameInitial Coupon
codestringCoupon's coderc3_ioi_coupon
conditionsarrayList of Condition objects associated with the CouponList of Condition objects
incentivesarrayList of Incentive objects directly associated with the CouponList of Incentive objects
standard_flex_incentivesarrayList of Standard Flex Incentives associated with the CouponList of Standard Flex Incentive objects

Response Body Definitions (Offer)

NameTypeDescriptionExample
public_idstringOffer's unique ID83f5a824559111ef861f1a1bb24efa7a
namestringOffer's nameDefault Offer
offer_typeintegerOffer's type1
weightintegerOffer's weight100
livebooleanFlag that indicates whether the Offer is live/active or not/inactivetrue

Response Body Definitions (Premise)

Name

Type

Description

Example

id

integer

Premise's numeric and unique ID (this ID is used in the premisesstring field of a Condition to identify which ones are being referenced alongside with its operands)

1

public_id

string

Premise's unique ID

81ce2c4b813642c3b7a85de39e51cd84

slug

string

Premise's slug

34deca71bfba4ae0aa34dc2d2c5b4b76

premise_type

string

Premise's type to define which premise instance will be used to determine its eligibility based on its operand and value

Number of orders per billing for a prepaid subscription cycle

operand

string

Premise's operand:

  • eq (equal)
  • ne (not equal)
  • lt (less than)
  • gt (greater than)
  • le (less than or equal)
  • ge (greater than or equal)
  • mod (modular)

eq

value

string

Premise's value

2

Response Body Definitions (Condition)

NameTypeDescriptionExample
public_idstringCondition's unique ID134cd0c6111143f8b4e74cd48ddd2756
premisesstringAn expression used to determine the criteria a condition needs to fulfill given a certain context (item or order, for example) for it to be considered valid and its incentives get applied; Notice that this field will be a mix of operands, premise's ids and parenthesis to specify precedence;OR(AND(9228, 9229), 9230)
descriptionstringCondition's description2 shipments prepaid condition
incentivesarrayList of Incentive objects directly associated with the ConditionList of Incentive objects

Response Body Definitions (Incentive)

Incentive objects may assume different formats depending on its purpose, this can be easily identified by the polymorphic_type field present on every type of incentive.

Response Body Definitions (Discount)

Name

Type

Description

Example

public_id

string

Discount's unique ID

bd3e24e351c147d88ac71136b7e67638

name

string

Discount's name

Default Recurring Discount

polymorphic_type

string

For Discounts this field will always be "Discount"

Discount

object

integer

Discount's object:

  • 1 for Order;
  • 2 for Item;

1

field

integer

Discount's field to be discounted:

  • 1 for Item's total price;
  • 2 for Order's shipping total;
  • 3 for Order's sub total;

2

type

string

Discount's type:

  • discount_percent
  • discount_amount

discount_percent

value

string

Discount's value represented as a numeric string;

10.99

threshold_field

integer

Discount's threshold field to be considered:

  • 1 for Item's total price;
  • 2 for Order's shipping total;
  • 3 for Order's sub total;

1

threshold_value

integer

Discount's threshold value represented as a numeric string to be considered (the Discount will be considered threshold valid when the threshold_field is greater than the threshold_value

100.00

Response Body Definitions (Gift)

Name

Type

Description

Example

public_id

string

Gift's unique ID

bd3e24e35ec447d88ac71136b7e67638

name

string

Gift's name

Toy

polymorphic_type

string

For Discounts this field will always be "Gift"

Gift

external_product_id

string

The external product identifier of the product that will be added as a Gift;

401099289

target_level

integer

Gift's target level:

  • 1 for Order;
  • 2 for Item;

1

Response Body Definitions (SampleSKU)

NameTypeDescriptionExample
public_idstringSampleSKU's unique IDbd3e24e35ec447d88ac71136b7e67ab1
namestringSampleSKU's nameSample Toy
polymorphic_typestringFor SampleSKU this field will always be "SampleSku"SampleSku
external_product_idstringThe external product identifier of the product that will be added as a Sample SKU;401099289
ordinalintegerSampleSKU's ordinal4

Standard Flex Incentives

NameTypeDescriptionExample
public_idstringA standardized unique identifier for a Flex Incentive record, used for public reference and integration."ac4f7938383a11e89ecbbc764e1107f2"
descriptionstring"adds a 10 USD in discount"
criteriaobjectA recursive criteria tree that defines the conditions under which the Standardized Flex Incentive is applicable or not.{ "node_type": "PREMISE", "standard": "ITEM_HAS_SUBSCRIPTION", "premise_value": True }
incentivesarrayAn array of incentive objects that should be applied when the criteria are met.[ { "incentive_type": "discount_percent", "incentive_value": 10, "incentive_target": "order" } ]

Criteria


Incentive (Discount)

Path Params
string
required

Offer Profile's public ID

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json